#
# spec file for package ExtendedLog
#
# Copyright (c) 2022 E W
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://gitlab.com/catsfood/umlaute_web-cpp/
#

%define libName libUmlauteWeb
%define realName UmlauteWeb

Name:           libUmlauteWeb1
Version:        1.1.1
Release:        0
Summary:        Encoding special characters to HTML-escape sequences (and vice versa)
License:        GPL-3.0-or-later
URL:            https://gitlab.com/catsfood/umlaute_web-cpp/
Source:         umlaute_web-cpp-%{version}.tar.xz
Patch0:         disable-testing.diff
Group:          System/Libraries
BuildRequires:  cmake >= 3.14
BuildRequires:  gcc-c++
BuildRequires:  cmake(Qt5Core)
BuildRequires:  pkgconfig(Qt5Core)

%description
A libraray for encoding special characters to thier HTML-escpae sequences and vice versa.

%package devel
Summary:        Development files for %{name}
Group:          Development/Libraries/C and C++
Requires:       %{name} = %{version}-%{release}
Requires:       cmake >= 3.14
Requires:       libQt5Core-devel

%description devel
The development files for UmlauteWeb a library for encoding special characters to thier HTML-escpae sequences and vice versa.

%prep
%setup -q -n umlaute_web-cpp-%{version}
%patch0

%build
%cmake
%make_build

%install
%cmake_install

%post  -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%{_libdir}/%{libName}.so.*

%files devel
%{_libdir}/%{libName}.so
%{_libdir}/cmake/%{realName}
%dir %{_includedir}/%{realName}
%{_includedir}/%{realName}/*.hpp

%changelog
* Mon Dec 19 2022 webe.info@gmx-topmail.de
- Update to version 1.1.1:
  * correct tests
  * rename files, matching to class names
  * rename classes
  * cleanup repo-structure
  * LICENSE hinzufügen
  * Correct CMakeLists
  * delete no longer needed file
  * adopt cmake
  * Add Qt support and change project structure
  * add .user files  to gitignore
* Fri Oct  7 2022 W. <webe.info@gmx-topmail.de>
- initial commit
